Loading...
Searching...
No Matches
fastjet::IsBaseAndDerived< B, D > Struct Template Reference

More...

`#include <fastjet/internal/IsBase.hh>`

## Classes

struct | Host

## Static Public Attributes

static const bool | value
| the boolean value being true if D is derived from B

## Detailed Description

template<typename B, typename D>
struct fastjet::IsBaseAndDerived< B, D >

Definition at line 129 of file IsBase.hh.

## Member Data Documentation

## value

template<typename B, typename D>

const bool fastjet::IsBaseAndDerived< B, D >::value

static

Initial value:
= ((sizeof(B)!=0) &&
(sizeof(D)!=0) &&
(sizeof(__inheritance_helper<B,D>::check_sig(Host(), 0)) == sizeof(__yes_type)))
fastjet::IsBaseAndDerived::Host
Definition IsBase.hh:143

the boolean value being true if D is derived from B

Definition at line 153 of file IsBase.hh.

The documentation for this struct was generated from the following file:

- include/fastjet/internal/IsBase.hh